<?php
header("Content-Type: text/html;charset=utf-8");
if (session_status() === PHP_SESSION_NONE) {
    session_start();
}

require_once("../data/Conexion.php");
require_once("../data/Tablas.php");
require_once("../clases/cls_igv.php");

function igv_lista(){
		$respuestas = array("estado"=>"error", "mensaje"=>"", "datos"=>array());
		if (isset($_POST["buscar"]) && isset($_POST["orden"])){
			$items_pagina = 0;
			$items_cantidad = 0;
			$buscar = $_POST["buscar"];
			$ordenestado = $_POST["orden"];
			if (isset($_POST["items_pagina"])){
				$items_pagina = $_POST["items_pagina"];
			}
			if (isset($_POST["items_cantidad"])){
				$items_cantidad = $_POST["items_cantidad"];
			}
			$datos = cls_Group_Igv::Buscar($buscar, $ordenestado);
			$datos->cargar_datos($items_pagina, $items_cantidad);
			$lista = array();
			for ($idx=0; $idx<$datos->get_cantidad_cargados(); $idx++){
				array_push($lista, array(
					"igv_id"=>$datos->get_igv_id($idx),
					"nombre"=>$datos->get_nombre($idx),
					"porcentaje"=>$datos->get_porcentaje($idx),
					"estado"=>$datos->get_estado($idx),
				));
			}
			$respuestas["datos"] = $lista;
			$respuestas["estado"]  = "ok";
			$respuestas["mensaje"]  = "Los datos se cargaron correctamente";
		} else {
			$respuestas["mensaje"]  = "Ocurrió un error recibiendo los datos.";
		}
		echo(json_encode($respuestas));
}
function igv_datos(){
		$respuestas = array("estado"=>"error", "mensaje"=>"", "datos"=>array());
		if (isset($_POST["buscar"])){
			$codigo = $_POST["buscar"];
			$datos = cls_Igv::Indice($codigo);
			$respuestas["datos"] = array(
					"igv_id"=>$datos->get_igv_id(),
					"nombre"=>$datos->get_nombre(),
					"porcentaje"=>$datos->get_porcentaje(),
					"estado"=>$datos->get_estado(),
			);
			$respuestas["estado"]  = "ok";
			$respuestas["mensaje"]  = "Los datos se cargaron correctamente";
		} else {
			$respuestas["mensaje"]  = "Ocurrió un error recibiendo los datos.";
		}
		echo(json_encode($respuestas));
}
function igv_registrar(){
		$respuestas = array("estado"=>"error", "mensaje"=>"", "codigo"=>0);
		$usuario_editor = 0;
		$codigo = 0;
		$activo = true;
		if (isset($_SESSION["usuario_editor"])){
			$usuario_editor = $_SESSION["usuario_editor"];
		}
		if (isset($_POST["txt_codigo"])){
			$codigo = $_POST["txt_codigo"];
		}
		if (isset($_POST["activo"])){
			$activo = $_POST["activo"];
		}
		$nombre = $_POST["txt_nombre"];
		$porcentaje = $_POST["txt_porcentaje"];
		$estado = false;
		if (isset($_POST["txt_estado"]) && ($_POST["txt_estado"] == true || $_POST["txt_estado"] == "true")){
			$estado = true;
		}
		$datos = cls_Igv::Indice($codigo);
		$datos->set_nombre($nombre);
		$datos->set_porcentaje($porcentaje);
		$datos->set_estado($estado);
		$datos->set_activo($activo);
		if ($datos->registrar($usuario_editor)){
			$respuestas["codigo"] = $datos->get_igv_id();
			$respuestas["estado"] = "ok";
			$respuestas["mensaje"] = "Los datos se cargaron correctamente";
		} else {
			$respuestas["mensaje"] = "Ocurrió un error recibiendo los datos.";
		}
		echo(json_encode($respuestas));
}
function igv_eliminar(){
		$respuestas = array("estado"=>"error", "mensaje"=>"");
		if (isset($_POST["buscar"])){
			$usuario_editor = 0;
			if (isset($_SESSION["usuario_editor"])){
				$usuario_editor = $_SESSION["usuario_editor"];
			}
			$codigo = $_POST["buscar"];
			$datos = cls_Igv::Indice($codigo);
			if ($datos->eliminar($usuario_editor)){
				$respuestas["estado"]  = "ok";
				$respuestas["mensaje"]  = "Los datos se eliminaron correctamente";
			} else {
				$respuestas["mensaje"]  = "No se pudo eliminar los datos correctamente";
			}
		} else {
			$respuestas["mensaje"]  = "Ocurrió un error recibiendo los datos.";
		}
		echo(json_encode($respuestas));
}

if (isset($_POST["accion"])){
    if ($_POST["accion"] == "lista"){
		igv_lista();
	} else if ($_POST["accion"] == "datos"){
		igv_datos();
    } else if ($_POST["accion"] == "registrar"){
		igv_registrar();
    } else if ($_POST["accion"] == "eliminar"){
		igv_eliminar();
	}
}
?>
